package com.yidian.shenghuoquan.bgeneralbusiness.http

import com.yidian.bcommon.http.*
import io.reactivex.rxjava3.core.Observable
import retrofit2.http.GET
import retrofit2.http.QueryMap

interface GeneralBusinessApiService {

  private companion object {
    const val sendMsgCode = "/sms/sms/send_code"
  }

  /**
   * 发送验证码
   */
  @GET(sendMsgCode)
  fun sendMsgCode(@QueryMap commonParams: Map<String, String>, @QueryMap params: Map<String, String?>): Observable<HttpResult<Any?>>
}
