package com.yidian.shenghuoquan.bsetting.http

import com.yidian.bcommon.http.HttpResult
import io.reactivex.rxjava3.core.Observable
import retrofit2.http.GET
import retrofit2.http.QueryMap

interface SettingApiService {

  private companion object {
    const val mobileLogin = "/user/user/login"
    const val userLogout = "/user/user/logout"
  }

  /**
   * 手机号登录
   */
  @GET(mobileLogin)
  fun mobileLogin(@QueryMap commonParams: Map<String, String>, @QueryMap params: Map<String, String?>): Observable<HttpResult<Any?>>

  /**
   * 退出登录
   */
  @GET(userLogout)
  fun userLogout(@QueryMap commonParams: Map<String, String>, @QueryMap params: Map<String, String?>): Observable<HttpResult<Any?>>


}
